IBM Support

50 DB2 Nuggets #35: Techtip - Prerequisites for DB2 installation using db2setup wizard on AIX 7.1

Technical Blog Post


Abstract

50 DB2 Nuggets #35: Techtip - Prerequisites for DB2 installation using db2setup wizard on AIX 7.1

Body

I was working on a DB2 installation issue using db2setup wizard  with 9.7 GA (FP0) on AIX 7.1, JDK 5 , the installation was failing with Segmentation fault error, the installer has generated java cores, similar to the one shown here below:

 

Type=Segmentation error vmState=0x00000000 
J9Generic_Signal_Number=00000004 Signal_Number=0000000b 
Error_Value=00000000 Signal_Code=00000033 
Handler1=09001000A05C9CD0 Handler2=09001000A05C1A40 

In general, basic things to look at when these kind of errors happen are:
JDK level (java -version)
DB2 version and fix pack of the image being installed
OS details (uname -a to obtain the OS version) and make sure they are at a supported level.

In addition to the above, if AIX 7.1, check if your OS is running in power 7 mode. Here is the command to verify:  lsattr -El proc0

If the OS is running in power 7 mode, you must meet minimum DB2 fix pack levels.  

Preparing for DB2® product installation on Power7® and Power7+ Systems

 
DB2 V9.1
DB2 V9.5
DB2 V9.7
DB2 V9.8
DB2 V10.1
AIX 5.3 TL9+
FP9
FP6a
FP2
Not Supported
Not supported
AIX 6.1 TL4+
FP9
FP6a
FP2
FP2
V10.1 GA
AIX 7
FP10
FP6a
FP3
FP3
V10.1 GA

 

As seen above in our case, the customer is at an unsupported level of DB2, 9.7 FP0. The minimum required 9.7 FP for AIX 7.1 - power 7 mode is DB2 9.7 FP3.

 

Here is the technote that contains the above requirements:
/support/pages/node/400137

Also, db2setup is GUI based installation method, so it relies on JDK to perform the installation. If using db2setup wizard to install DB2  on AIX 7.1, you must verify the prerequisites for JDK. There are a certain levels Supported JDKs for Power pc 7.

image

 

                                                                                                                     

 

 

Details can be found in the following technote:
http://www.ibm.com/developerworks/java/jdk/power7/index.html
 
Alternative is to use db2_install - Install DB2 database product command which does not use Java/JDK, in 10.5 this command is deprecated, might be removed in a future release.

Reference db2_install 10.5 documentation:

Important: This command is deprecated and might be removed in a future release. Use the db2setup command instead.


http://www-01.ibm.com/support/knowledgecenter/SSEPGG_10.5.0/com.ibm.db2.luw.admin.cmd.doc/doc/r0023669.html?cp=SSEPGG_10.5.0%2F3-5-2-6-6&lang=en
 

The Client wanted to install DB2 using db2setup utility, so once we moved to Java SDK 5.0 SR 8 and DB2 V9.7 FP8 (FP3+), the installation was successful.


Useful References:

Installation requirements for DB2 servers and IBM data server clients (AIX)

10.5:
http://www-01.ibm.com/support/knowledgecenter/SSEPGG_10.5.0/com.ibm.db2.luw.qb.server.doc/doc/r0008857.html?cp=SSEPGG_10.5.0%2F2-0-1-2-2-2&lang=en

10.1:
http://www-01.ibm.com/support/knowledgecenter/SSEPGG_10.1.0/com.ibm.db2.luw.qb.server.doc/doc/r0008857.html?cp=SSEPGG_10.1.0%2F2-0-1-2-2-2&lang=en

9.7:
http://www-01.ibm.com/support/knowledgecenter/SSEPGG_9.7.0/com.ibm.db2.luw.qb.server.doc/doc/r0008857.html?cp=SSEPGG_9.7.0%2F2-0-2-1-2-2-0&lang=en

 

DB2 installation methods :
http://www-01.ibm.com/support/knowledgecenter/SSEPGG_10.5.0/com.ibm.db2.luw.qb.server.doc/doc/c0008711.html?lang=en

If you have a comment or question, please feel free to post, we can answer.

 

Thanks for reading! Hope you find this blog useful in performing self diagnosis of the common DB2 install issues on AIX 7.1.

[{"Business Unit":{"code":"BU029","label":"Data and AI"}, "Product":{"code":"SSEPGG","label":"DB2 for Linux- UNIX and Windows"},"Component":"","Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"","Edition":""}]

UID

ibm11141456